summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--composer.json6
-rw-r--r--php-laminas-view.spec42
2 files changed, 28 insertions, 20 deletions
diff --git a/composer.json b/composer.json
index 2fcc7df..24d91bc 100644
--- a/composer.json
+++ b/composer.json
@@ -33,8 +33,8 @@
"laminas/laminas-escaper": "^2.5",
"laminas/laminas-eventmanager": "^3.4",
"laminas/laminas-json": "^3.3",
- "laminas/laminas-servicemanager": "^3.10",
- "laminas/laminas-stdlib": "^3.6",
+ "laminas/laminas-servicemanager": "^3.14.0",
+ "laminas/laminas-stdlib": "^3.10.1",
"psr/container": "^1 || ^2"
},
"require-dev": {
@@ -57,7 +57,7 @@
"phpspec/prophecy": "^1.12",
"phpspec/prophecy-phpunit": "^2.0",
"phpunit/phpunit": "^9.5.5",
- "psalm/plugin-phpunit": "^0.16.1",
+ "psalm/plugin-phpunit": "^0.17.0",
"vimeo/psalm": "^4.10"
},
"conflict": {
diff --git a/php-laminas-view.spec b/php-laminas-view.spec
index ef504e6..767ed68 100644
--- a/php-laminas-view.spec
+++ b/php-laminas-view.spec
@@ -7,7 +7,7 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 2cd6973a3e042be3d244260fe93f435668f5c2b4
+%global gh_commit ae32391bdec45ca9fc73dd0882cd7301ab07ecf3
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-view
@@ -18,7 +18,7 @@
%global with_tests 0%{!?_without_tests:1}
Name: php-%{gh_project}
-Version: 2.20.0
+Version: 2.22.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library} component
@@ -39,13 +39,12 @@ BuildRequires: php-pcre
BuildRequires: php-spl
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-composer(container-interop/container-interop) >= 1.2 with php-composer(container-interop/container-interop) < 2)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-escaper) >= 2.5 with php-autoloader(%{gh_owner}/laminas-escaper) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-eventmanager) >= 3.4 with php-autoloader(%{gh_owner}/laminas-eventmanager) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-json) >= 3.3 with php-autoloader(%{gh_owner}/laminas-json) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-loader) >= 2.5 with php-autoloader(%{gh_owner}/laminas-loader) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.4 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.6 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.14.0 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.10.1 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
BuildRequires: (php-composer(psr/container) >= 1 with php-composer(psr/container) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "require-dev": {
@@ -68,7 +67,7 @@ BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0
# "phpspec/prophecy": "^1.12",
# "phpspec/prophecy-phpunit": "^2.0",
# "phpunit/phpunit": "^9.5.5",
-# "psalm/plugin-phpunit": "^0.16.1",
+# "psalm/plugin-phpunit": "^0.17.0",
# "vimeo/psalm": "^4.10"
BuildRequires: (php-autoloader(%{gh_owner}/laminas-authentication) >= 2.5 with php-autoloader(%{gh_owner}/laminas-authentication) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-console) >= 2.6 with php-autoloader(%{gh_owner}/laminas-console) < 3)
@@ -89,7 +88,7 @@ BuildRequires: (php-autoloader(%{gh_owner}/laminas-router) >= 3.0.
BuildRequires: (php-autoloader(%{gh_owner}/laminas-uri) >= 2.5 with php-autoloader(%{gh_owner}/laminas-uri) < 3)
BuildRequires: (php-composer(phpspec/prophecy) >= 1.12.0 with php-composer(phpspec/prophecy) < 2)
BuildRequires: (php-composer(phpspec/prophecy-phpunit) >= 2.0 with php-composer(phpspec/prophecy-phpunit) < 3)
-# remirepo:30
+# remirepo:29
%else
BuildRequires: php-laminas-eventmanager
BuildRequires: php-laminas-json
@@ -117,7 +116,6 @@ BuildRequires: php-laminas-servicemanager
BuildRequires: php-laminas-uri
BuildRequires: php-phpspec-prophecy
BuildRequires: php-phpspec-prophecy-phpunit
-BuildRequires: php-container-interop
BuildRequires: php-psr-container2
%endif
BuildRequires: phpunit9 >= 9.5.5
@@ -135,8 +133,8 @@ BuildRequires: php-fedora-autoloader-devel
# "laminas/laminas-eventmanager": "^3.4",
# "laminas/laminas-json": "^3.3",
# "laminas/laminas-loader": "^2.5",
-# "laminas/laminas-servicemanager": "^3.10",
-# "laminas/laminas-stdlib": "^3.6",
+# "laminas/laminas-servicemanager": "^3.14.0",
+# "laminas/laminas-stdlib": "^3.10.1",
# "psr/container": "^1 || ^2"
Requires: php(language) >= 7.4
Requires: php-dom
@@ -144,13 +142,12 @@ Requires: php-filter
Requires: php-json
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-composer(container-interop/container-interop) >= 1.2 with php-composer(container-interop/container-interop) < 2)
Requires: (php-autoloader(%{gh_owner}/laminas-escaper) >= 2.5 with php-autoloader(%{gh_owner}/laminas-escaper) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-eventmanager) >= 3.4 with php-autoloader(%{gh_owner}/laminas-eventmanager) < 4)
Requires: (php-autoloader(%{gh_owner}/laminas-json) >= 3.3 with php-autoloader(%{gh_owner}/laminas-json) < 4)
Requires: (php-autoloader(%{gh_owner}/laminas-loader) >= 2.5 with php-autoloader(%{gh_owner}/laminas-loader) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.4 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.6 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.14.0 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.10.1 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
Requires: (php-composer(psr/container) >= 1 with php-composer(psr/container) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "suggest": {
@@ -178,7 +175,7 @@ Suggests: php-composer(%{gh_owner}/laminas-navigation)
Suggests: php-composer(%{gh_owner}/laminas-paginator)
Suggests: php-composer(%{gh_owner}/laminas-permissions-acl)
Suggests: php-composer(%{gh_owner}/laminas-uri)
-# remirepo:11
+# remirepo:10
%else
Requires: php-laminas-escaper
Requires: php-laminas-eventmanager
@@ -187,7 +184,6 @@ Requires: php-laminas-loader
Requires: php-laminas-servicemanager
Requires: php-laminas-stdlib
Requires: php-laminas-zendframework-bridge
-Requires: php-container-interop
Requires: php-psr-container2
%endif
# Autoloader
@@ -230,7 +226,7 @@ mv LICENSE.md LICENSE
phpab --template fedora --output src/autoload.php src
cat << 'EOF' | tee -a src/autoload.php
\Fedora\Autoloader\Dependencies::required([
- '%{php_home}/Interop/Container/autoload.php',
+ '%{php_home}/%{namespace}/ServiceManager/autoload.php',
[
'%{php_home}/Psr/Container2/autoload.php',
'%{php_home}/Psr/Container/autoload.php',
@@ -238,7 +234,6 @@ cat << 'EOF' | tee -a src/autoload.php
'%{php_home}/%{namespace}/Escaper/autoload.php',
'%{php_home}/%{namespace}/EventManager/autoload.php',
'%{php_home}/%{namespace}/Loader/autoload.php',
- '%{php_home}/%{namespace}/ServiceManager/autoload.php',
'%{php_home}/%{namespace}/Stdlib/autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
@@ -314,6 +309,7 @@ rm -r test/Helper*
: upstream test suite
ret=0
+# TODO: php82
for cmd in php php74 php80 php81; do
if which $cmd; then
$cmd %{_bindir}/phpunit9 \
@@ -338,6 +334,18 @@ exit $ret
%changelog
+* Tue Jul 19 2022 Remi Collet <remi@remirepo.net> - 2.22.0-1
+- update to 2.22.0
+
+* Mon Jul 11 2022 Remi Collet <remi@remirepo.net> - 2.21.0-1
+- update to 2.21.0
+- raise dependency on laminas-servicemanager 3.14.0
+- raise dependency on laminas-stdlib 3.10.1
+
+* Thu Jun 23 2022 Remi Collet <remi@remirepo.net> - 2.20.0-2
+- drop dependency on container-interop/container-interop
+ replaced by servicemanager >= 3.12
+
* Wed Mar 30 2022 Remi Collet <remi@remirepo.net> - 2.20.0-1
- update to 2.20.0
- add dependency on laminas-escaper, laminas-servicemanager,